%global appname com.github.donadigo.appeditor

Name:           appeditor
Summary:        Edit application menu
Version:        1.1.1
Release:        5%{?dist}
# The entire source is GPLv3, except the Vala source files src/*.vala which are
# LGPLv2+, and data/com.github.donadigo.appeditor.appdata.xml.in which is CC0.
#
# See https://github.com/donadigo/appeditor/issues/106 regarding missing LGPLv2
# and GPLv2 license text.
License:        GPLv3 and LGPLv2+ and CC0

URL:            https://github.com/donadigo/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  vala

BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)

Requires:       contractor
Requires:       hicolor-icon-theme

%description
AppEditor allows you to edit application entries in the application menu. Some
of it's features include:

- Hide and show applications from the application menu
- Create new application entries
- Change application's display name, icon and more


%prep
%autosetup -p1


%build
%meson
%meson_build


%install
%meson_install

%find_lang %{appname}


%check
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/%{appname}.desktop

appstream-util validate-relax --nonet \
    %{buildroot}/%{_datadir}/metainfo/%{appname}.appdata.xml


%files -f %{appname}.lang
%doc README.md
%license LICENSE

%{_bindir}/%{appname}

%{_datadir}/applications/%{appname}.desktop
%{_datadir}/contractor/%{appname}.contract
%{_datadir}/glib-2.0/schemas/%{appname}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{appname}.svg
%{_datadir}/metainfo/%{appname}.appdata.xml


%changelog
* Tue Feb 09 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.1-5
- Correct License from “LGPLv2+” to “GPLv3 and LGPLv2+ and CC0”

* Tue Feb 09 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.1-4
- Package LICENSE file

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Apr 17 2020 Fabio Valentini <decathorpe@gmail.com> - 1.1.1-1
- Update to version 1.1.1.

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Nov 02 2019 Fabio Valentini <decathorpe@gmail.com> - 1.1.0-4
- Include a simple patch to fix compilation with newer vala versions.

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Sep 01 2018 Fabio Valentini <decathorpe@gmail.com> - 1.1.0-1
- Initial package for fedora.

